<header class="navbar navbar-inverse">
  <div class="navbar-inner">
    <div class="container ">
     <div class="pull-left">
      <p>
      <%= link_to "GSN", root_path, id: "logo", class: "remove_overlap" %> 
      </p>     
      
     </div>
      <nav>
        <div class="nav pull-right remove_overlap nav_right_header_link">
          <% if signed_in? %>
            <% oauth_text = "Add another account" %>

                 <div class="dropdown" style="position:relative; display: inline; z-index: 100">
                      <a href="#" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">Profile <b class="caret"></b></a>
                      


                       <ul class="dropdown-menu custom_dropdown-menu" role="menu" aria-labelledby="dropdownMenu" >
  <li><%=link_to "Modify Profile", edit_user_identity_path(current_identity) %></li>
 
  <li class="dropdown-submenu">
    <a tabindex="-1" href="#">Add Group</a>
    <ul class="dropdown-menu">
       <li><%= link_to "Node Attributes", node_attributes_path %></li>
        <li><%= link_to "Node Types", node_types_path %></li>
        <li><%= link_to "Group Types", group_types_path %></li>
    </ul>
  </li>

  <li class="dropdown-submenu">
    <a tabindex="-1" href="#"><%= oauth_text %></a>
    <ul class="dropdown-menu">
        <li><%= link_to "Basic", signup_path, id: "sign_in" %></li>
        <li><%= link_to "Facebook", "/auth/facebook", id: "sign_in" %></li>
        <li><%= link_to "Twitter", "/auth/twitter", id: "sign_in" %></li>
        <li><%= link_to "Linkedin", "/auth/linkedin", id: "sign_in" %></li>
        <li><%= link_to "Google +", "/auth/gplus", id: "sign_in" %></li>
    </ul>
  </li>
  
</ul>








                     </div>
            <span><%= link_to "Graph", user_path(current_user) %></span>
            <span><%= link_to "Sign out", signout_path, method: "delete" %></span>             
            <!-- <li><%#= link_to "Groups", groups_path(identity: current_identity.uuid) %></li> -->

                 
            
            <!--  <li id="fat-menu-group" class="dropdown">
              <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                Add Group<b class="caret"></b>
              </a>
              <ul class="dropdown-menu">
                <li><%#= link_to "Node Attributes", node_attributes_path %></li>              
                <li><%#= link_to "Node Types", node_types_path %></li>              
                <li><%#= link_to "Group Types", group_types_path %></li>              
                   
                <li class="divider"></li>                
              </ul>
            </li> -->


          <% else %>
            <% oauth_text = "Sign up with" %>
            <!-- <li><%#= link_to "Sign in", signin_path %></li>  -->
         
             <li id="fat-menu" class="dropdown pull-left">
                <%= link_to "javascript:void(0)", :class => "btn btn-primary pd_top5 dropdown-toggle", 'data-toggle' => "dropdown"  do%>
                <!-- <a href="#" class="dropdown-toggle" data-toggle="dropdown"> -->
                  <%#= oauth_text %> 
                  Sign in
                  <b class="caret"></b> 
                  <% end %>             
                <!-- </a> -->
                <ul class="dropdown-menu">
                  <li><%= link_to "Basic", signin_path, id: "sign_in" %></li>
                  <li><%= link_to "Facebook", "/auth/facebook", id: "sign_in" %></li>
                  <li><%= link_to "Twitter", "/auth/twitter", id: "sign_in" %></li>
                  <li><%= link_to "Linkedin", "/auth/linkedin", id: "sign_in" %></li>
                  <li><%= link_to "Google +", "/auth/gplus", id: "sign_in" %></li>
                  <li class="divider"></li>                
                </ul>
              </li> 
              <span class="pull-left"><%= link_to "Sign up", signup_path %></span>
            <% end %>








        </div>
      </nav>
    </div>
  </div>
</header>